For discussion of Alpine Linux development and developer support

2

[alpine-devel] [PATCH] testing/exaile: new aport

Alan Lacerda
Details
Message ID
<1416333952-16286-1-git-send-email-alacerda@alpinelinux.org>
Sender timestamp
1416333952
DKIM signature
missing
Download raw message
Patch: +44 -0
---
 testing/exaile/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/exaile/APKBUILD

diff --git a/testing/exaile/APKBUILD b/testing/exaile/APKBUILD
new file mode 100644
index 0000000..73de117
--- /dev/null
+++ b/testing/exaile/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda@alpinelinux.org>
+pkgname=exaile
+pkgver=3.4.2
+pkgrel=0
+pkgdesc="A music player with a simple interface and powerful music management capabilities"
+url="http://www.exaile.org/"
+arch="noarch"
+license="GPL2"
+depends="gettext python"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/local "$pkgdir"/etc/xdb "$pkgdir"/lib
+	make install PREFIX="$pkgdir"/usr/local \
+	     XDGCONFDIR="$pkgdir"/etc/xdb \
+	     DESTDIR="$pkgdir"\
+	     LIBINSTALLDIR="$pkgdir"/lib || return 1
+}
+
+md5sums="ff0081f548bc17435877c2c65b05c9b8  3.4.2.tar.gz"
+sha256sums="0e280c317871e37cbe9db8d54d37a5bee99cf36ebd0f55048e41787d0461e4bf  3.4.2.tar.gz"
+sha512sums="1a13585afc4eaa2b03c3be0bd25394e8c6df824999b676349f6efeabe9286d7c773eaf5938d7a644e9facb9b6184c02cc465fe1ec0d22057ab2cb8a521357312  3.4.2.tar.gz"
-- 
2.1.3



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141119084232.4844b084@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1416333952-16286-1-git-send-email-alacerda@alpinelinux.org> (view parent)
Sender timestamp
1416382952
DKIM signature
missing
Download raw message
On Tue, 18 Nov 2014 18:05:52 +0000
Alan Lacerda <alancordeiro@gmail.com> wrote:

> ---
>  testing/exaile/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 44 insertions(+)
>  create mode 100644 testing/exaile/APKBUILD
> 
> diff --git a/testing/exaile/APKBUILD b/testing/exaile/APKBUILD
> new file mode 100644
> index 0000000..73de117
> --- /dev/null
> +++ b/testing/exaile/APKBUILD
> @@ -0,0 +1,44 @@
> +# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
> +# Maintainer: Alan Lacerda <alacerda@alpinelinux.org>
> +pkgname=exaile
> +pkgver=3.4.2
> +pkgrel=0
> +pkgdesc="A music player with a simple interface and powerful music management capabilities"
> +url="http://www.exaile.org/"
> +arch="noarch"
> +license="GPL2"
> +depends="gettext python"

Are you sure we need gettext at runtime? Normally we don't.

> +depends_dev=""
> +makedepends="$depends_dev"
> +install=""
> +subpackages=""
> +source="https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz"
> +
> +_builddir="$srcdir/$pkgname-$pkgver"
> +prepare() {
> +	local i
> +	cd "$_builddir"
> +	for i in $source; do
> +		case $i in
> +		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
> +		esac
> +	done
> +}
> +
> +build() {
> +	cd "$_builddir"
> +	make || return 1
> +}
> +
> +package() {
> +	cd "$_builddir"
> +	mkdir -p "$pkgdir"/usr/local "$pkgdir"/etc/xdb "$pkgdir"/lib
> +	make install PREFIX="$pkgdir"/usr/local \

This looks wrong. We should not install anything in /usr/local as that
is reserved[1] for locally installed software (eg not managed with package
manager).

abuild normally complains if it finds stuff in /usr/local

> +	     XDGCONFDIR="$pkgdir"/etc/xdb \
> +	     DESTDIR="$pkgdir"\
> +	     LIBINSTALLDIR="$pkgdir"/lib || return 1

libinstall dir /lib also looks wrong unless this package contains
critical software needed for booting the system, things that is needed
before /usr is mounted.

> +}
> +
> +md5sums="ff0081f548bc17435877c2c65b05c9b8  3.4.2.tar.gz"
> +sha256sums="0e280c317871e37cbe9db8d54d37a5bee99cf36ebd0f55048e41787d0461e4bf  3.4.2.tar.gz"
> +sha512sums="1a13585afc4eaa2b03c3be0bd25394e8c6df824999b676349f6efeabe9286d7c773eaf5938d7a644e9facb9b6184c02cc465fe1ec0d22057ab2cb8a521357312  3.4.2.tar.gz"


[1]: http://www.pathname.com/fhs/pub/fhs-2.3.html#USRLOCALLOCALHIERARCHY
[2]: http://www.pathname.com/fhs/pub/fhs-2.3.html#LIBESSENTIALSHAREDLIBRARIESANDKERN



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141119085346.153ab518@ncopa-desktop.alpinelinux.org>
In-Reply-To
<20141119084232.4844b084@ncopa-desktop.alpinelinux.org> (view parent)
Sender timestamp
1416383626
DKIM signature
missing
Download raw message
On Wed, 19 Nov 2014 08:42:32 +0100
Natanael Copa <ncopa@alpinelinux.org> wrote:

> On Tue, 18 Nov 2014 18:05:52 +0000
> Alan Lacerda <alancordeiro@gmail.com> wrote:
...
> > +package() {
> > +	cd "$_builddir"
> > +	mkdir -p "$pkgdir"/usr/local "$pkgdir"/etc/xdb "$pkgdir"/lib
> > +	make install PREFIX="$pkgdir"/usr/local \
> 
> This looks wrong. We should not install anything in /usr/local as that
> is reserved[1] for locally installed software (eg not managed with package
> manager).
> 
> abuild normally complains if it finds stuff in /usr/local

I found out why abuild didn't stop you. It installs the file in under $pkgdir/
$pkdir/home/ncopa/aports/testing/exaile/pkg/exaile/usr/local/home/ncopa/aports/testing/exaile/pkg/exaile/lib/exaile/xlgui/devices.py


which is way wrong.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---